<?php
/**
 * Plugin Name:       The Events Calendar Extension: Admin Body Class Fix
 * Description:       Temporary correction for a bad hook in Tribe Common.
 * Version:           0.1
 * Author:            Modern Tribe, Inc.
 * Author URI:        http://m.tri.be/1971
 * License:           GPL version 3 or any later version
 * License URI:       https://www.gnu.org/licenses/gpl-3.0.html
 * Text Domain:       user-timezone
 *
 *     This plugin is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     any later version.
 *
 *     This plugin is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *     GNU General Public License for more details.
 */

add_filter( 'tribe_body_classes_should_add', 'tribe_body_classes_should_add_fix', 15, 2 );

/**
 * Corrects bad admin_class filtering for Tribe Common 4.12.5.
 *
 * @since TBD
 *
 * @param boolean $add Whether to add the class to the queue or not.
 * @param string  $queue The queue we want to get 'admin', 'display', 'all'.
 * @return void
 */
function tribe_body_classes_should_add_fix( $add, $queue ) {
    // Only want to "fix" admin styles - and only if we're  using the "bad" version of common.
    if ( 'admin' === $queue && version_compare( Tribe__Main::VERSION, '4.12.5', '=' )  ) {
        return true;
    }

    return $add;
}
